# Development and Automation Tools

<details>

<summary><mark style="color:green;">Node.js on Ubuntu 22.04</mark></summary>

To Install dependencies:

```
sudo apt install -y curl software-properties-common
```

Then add Node.js Repository

```
curl -fsSL https://deb.nodesource.com/setup_18.x | sudo -E bash –
```

Install Node.js & npm

```
sudo apt install -y nodejs
```

Verify installation

```
node -v
npm –v
```

On your first SSH login to the VM or via the VM console (using the Node.js 1-Click deployment), Node.js will be pre-installed and ready for development or production use.

</details>

<details>

<summary><mark style="color:green;">VS Code on Ubuntu 22.04</mark></summary>

On your first SSH login to the VM or launch of the VM console via the VS Code 1-Click deployment:

Install x11-apps on the VM and use MobaXterm (on Windows) to enable GUI access over SSH.

Once set up, you can launch VS Code from the command line using:\
code

This opens the VS Code GUI in your local X11 session over SSH.

</details>

<details>

<summary><mark style="color:green;">Coolify on Ubuntu 22.04</mark></summary>

**Command Line Access & Web Interface**\
To access the Coolify web interface, open your browser and navigate to:

```
http://<your-public-ip>:8000
```

</details>

<details>

<summary><mark style="color:green;">Docker on Ubuntu 22.04</mark></summary>

Run Docker Without Sudo (Optional):

```
sudo usermod -aG docker $USER
```

Upon your first SSH login to the VM or when launching the VM console via the Docker 1-Click deployment, your environment is ready to begin running Docker containers.

</details>

<details>

<summary><mark style="color:green;">GitLab on Ubuntu 24.04</mark></summary>

On your first SSH login to the GitLab VM (or via the VM console, if using a 1-Click deployment), you can reset the root password using the command line.

**Reset GitLab Root Password**\
**Launch the GitLab Rails console:**

```
sudo gitlab-rails console
```

**Run the following commands:**

```
user = User.find_by_username('root')
user.password = 'NewStrongPassword123!'
user.password_confirmation = 'NewStrongPassword123!'
user.save!
```

**Exit the console:**

```
exit
```

Then on your browser (on your local machine), go to:

```
http://<your_vm_ip>
```

</details>

<details>

<summary><mark style="color:green;"><strong>Dokploy</strong></mark> <mark style="color:green;"><strong>on Ubuntu 24.04</strong></mark></summary>

To access Dokploy open your browser and navigate to:

```
http://your-ip-from-your-vps:3000
```

You will see the **Setup the Server** screen (as shown below). This step is required to create the **first administrator account** for your Dokploy instance.

**Steps to Register:**

1. **Name** → Enter your full name or identifier.
2. **Email** → Provide a valid email address (this will be your login username).
3. **Password** → Set a strong password.
4. **Confirm Password** → Re-enter the password to confirm.
5. Click **Register**.

Once registered, you’ll be redirected to the **Dokploy Dashboard** where you can start:

* Managing projects
* Deploying applications
* Configuring environments
* Monitoring logs

</details>

<details>

<summary><mark style="color:green;"><strong>Jenkins on Ubuntu24.04</strong></mark></summary>

**Getting Started After Deploying Jenkins**

Unlocking Jenkins After Installation\
Once Jenkins is installed and running, open your browser and go to:

```
http://<your-server-ip>:8080
```

You’ll see the **Unlock Jenkins** screen. To ensure Jenkins is securely set up, it requires an **initial administrator password**.

**Steps to Unlock Jenkins:**

Locate the password file on your server:

```
sudo cat /var/lib/jenkins/secrets/initialAdminPassword
```

Copy the long alphanumeric password displayed in the terminal.

Paste it into the **Administrator password** field on the Jenkins web page.

Click **Continue**.

**Next Steps:**

You’ll be asked to install **recommended plugins** or choose specific ones.

Then, create your **first Jenkins admin user**.

Once complete, Jenkins will be ready for you to configure jobs, pipelines, and integrations.

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.neoncloud.com/neon-cloud-marketplace-1-click-apps/development-and-automation-tools.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
